import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/payins/index.ts
function createPayinsResource(client) {
  return {
    list({
      instanceId,
      params
    }) {
      const queryParams = params ? `?${new URLSearchParams(params)}` : "";
      return client.get(`/instances/${instanceId}/payins${queryParams}`);
    },
    get({ instanceId, id }) {
      return client.get(`/instances/${instanceId}/payins/${id}`);
    },
    getTrack({ id }) {
      return client.get(`/e/payins/${id}`);
    },
    export({
      instanceId,
      params
    }) {
      const queryParams = params ? `?${new URLSearchParams(params)}` : "";
      return client.get(`/instances/${instanceId}/export/payins${queryParams}`);
    },
    createEvm(_a) {
      var _b = _a, {
        instanceId
      } = _b, data = __objRest(_b, [
        "instanceId"
      ]);
      return client.post(`/instances/${instanceId}/payins/evm`, data);
    }
  };
}
var init_payins = __esm({
  "src/resources/payins/index.ts"() {
  }
});

export {
  createPayinsResource,
  init_payins
};
